## impuzzle 0.1-1maemo1

=== debian/changelog ===
impuzzle (0.1-1maemo1) unstable; urgency=low

  * Fixes: Typo in package dependencies

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 2 Jan 2010 13:30:00 +0200
