## impuzzle 0.3-1maemo0

=== debian/changelog ===
impuzzle (0.3-1maemo0) unstable; urgency=low

  * Implemented: Show location numbers on the pieces
  * Fixes: Random image not random after first game

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 23 Jan 2010 22:59:42 +0200
