## impuzzle 0.3-2maemo0

=== debian/changelog ===
impuzzle (0.3-2maemo0) unstable; urgency=low

  * Fixes: Adjusted pieces couts, pieces are now in square formation
  * Fixes: Changed colors in the intro screen

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 30 Jan 2010 20:08:42 +0200
