## impuzzle 0.3-2maemo1

=== debian/changelog ===
impuzzle (0.3-2maemo1) unstable; urgency=low

  * Added bug tracking link to control
  * Dependency changes required by pr1.2 autobuilder

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 17:51:13 +0200
