=== debian/control ===
Source: impuzzle
Section: user/games
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0)
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:timop.harkonen@gmail.com

Package: impuzzle
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0)
Description: Image puzzle game
 impuzzle is a picture puzzle game that let's you
 use your own pictures as the game board.
