## impuzzle 0.4-1maemo0

=== debian/changelog ===
impuzzle (0.4-1maemo0) unstable; urgency=low

  * Implemented: Game state save and restore
  * Implemented: Maemo5 style notifications

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 17:51:13 +0200
