## impuzzle 0.5-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: impuzzle
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 24 18:01:59 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Apr 24 20:46:32 2010
 # Project:  impuzzle.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile impuzzle.pro
