=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/impuzzle
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Apr 24 20:46:33 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gameview.cpp \
		main.cpp \
		mainwindow.cpp \
		imageimporter.cpp \
		puzzleitem.cpp \
		introitem.cpp \
		settings.cpp \
		settingsdialog.cpp \
		aboutdialog.cpp moc_gameview.cpp \
		moc_mainwindow.cpp \
		moc_imageimporter.cpp \
		moc_puzzleitem.cpp \
		moc_settings.cpp \
		moc_settingsdialog.cpp \
		moc_aboutdialog.cpp \
		qrc_resources.cpp
OBJECTS       = gameview.o \
		main.o \
		mainwindow.o \
		imageimporter.o \
		puzzleitem.o \
		introitem.o \
		settings.o \
		settingsdialog.o \
		aboutdialog.o \
		moc_gameview.o \
		moc_mainwindow.o \
		moc_imageimporter.o \
		moc_puzzleitem.o \
		moc_settings.o \
		moc_settingsdialog.o \
		moc_aboutdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = impuzzle
DESTDIR       = ../bin/
TARGET        = ../bin/impuzzle

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/impuzzle1.0.0 || $(MKDIR) .tmp/impuzzle1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents gameview.h mainwindow.h imageimporter.h puzzleitem.h defines.h introitem.h settings.h settingsdialog.h aboutdialog.h .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents gameview.cpp main.cpp mainwindow.cpp imageimporter.cpp puzzleitem.cpp introitem.cpp settings.cpp settingsdialog.cpp aboutdialog.cpp .tmp/impuzzle1.0.0/ && (cd `dirname .tmp/impuzzle1.0.0` && $(TAR) impuzzle1.0.0.tar impuzzle1.0.0 && $(COMPRESS) impuzzle1.0.0.tar) && $(MOVE) `dirname .tmp/impuzzle1.0.0`/impuzzle1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/impuzzle1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gameview.cpp moc_mainwindow.cpp moc_imageimporter.cpp moc_puzzleitem.cpp moc_settings.cpp moc_settingsdialog.cpp moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gameview.cpp moc_mainwindow.cpp moc_imageimporter.cpp moc_puzzleitem.cpp moc_settings.cpp moc_settingsdialog.cpp moc_aboutdialog.cpp
moc_gameview.cpp: gameview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gameview.h -o moc_gameview.cpp

moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_imageimporter.cpp: defines.h \
		imageimporter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) imageimporter.h -o moc_imageimporter.cpp

moc_puzzleitem.cpp: puzzleitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) puzzleitem.h -o moc_puzzleitem.cpp

moc_settings.cpp: settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o moc_settings.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_aboutdialog.cpp: aboutdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aboutdialog.h -o moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		images/default.jpg
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

gameview.o: gameview.cpp gameview.h \
		puzzleitem.h \
		defines.h \
		introitem.h \
		imageimporter.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gameview.o gameview.cpp

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		gameview.h \
		settings.h \
		settingsdialog.h \
		aboutdialog.h \
		puzzleitem.h \
		imageimporter.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

imageimporter.o: imageimporter.cpp imageimporter.h \
		defines.h \
		puzzleitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o imageimporter.o imageimporter.cpp

puzzleitem.o: puzzleitem.cpp puzzleitem.h \
		gameview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o puzzleitem.o puzzleitem.cpp

introitem.o: introitem.cpp introitem.h \
		defines.h \
		mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o introitem.o introitem.cpp

settings.o: settings.cpp settings.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o settings.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		settings.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aboutdialog.o aboutdialog.cpp

moc_gameview.o: moc_gameview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gameview.o moc_gameview.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_imageimporter.o: moc_imageimporter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_imageimporter.o moc_imageimporter.cpp

moc_puzzleitem.o: moc_puzzleitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_puzzleitem.o moc_puzzleitem.cpp

moc_settings.o: moc_settings.cpp
