=== debian/changelog ===
impuzzle (0.5-1maemo0) unstable; urgency=low

  * Implemented: New initial view
  * Implemented: About dialog

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 24 Apr 2010 20:44:00 +0200
