## impuzzle 0.5-2maemo0

=== debian/changelog ===
impuzzle (0.5-2maemo0) unstable; urgency=low

  * Fixes: About dialog text not set read only

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 24 Apr 2010 21:03:00 +0200
