## impuzzle 0.5-3maemo0

=== debian/changelog ===
impuzzle (0.5-3maemo0) unstable; urgency=low

  * Added application icon

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 29 Apr 2010 19:19:00 +0200
