## impuzzle 0.6-1maemo1

=== debian/changelog ===
impuzzle (0.6-1maemo1) unstable; urgency=low

  * Just building against the new SDK in autobuilder

 -- Timo Härkönen <timop.harkonen@gmail.com>  Tue, 25 May 2010 17:18:00 +0200
