=== debian/control ===
--- 
+++ 
@@ -12,3 +12,86 @@
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEALAAMQAxnfM89gAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9oDCRECEHe8GxIAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
+ TVBXgQ4XAAANkklEQVRo3tWaS45k2XFEj/m9LzKzuil+N9AAIagHErQtaSJA
+ I+1BM2pfmhIkCAiaEwRF1icz3r1uGri/yGpyBSygUJGV8fGvuZl7CDBf/Qnw
+ RJqBB9KQPCRCgvqZkBiCkPjfL1/45cuLQ6EQDlAgCxQYSdf7AiCMARsE/Pen
+ T/zjhw+kjTHqX04gXM/dNttmAWcmb8A9kzsw/8p4wQGeBEfgiYgQgZBkS7qM
+ n23WbQQyTAkhQmVctPGykEA2IARsQXbsjhBYYCPBsBkYLNJmC5ZhGFCQmFPC
+ 7WhHBg6Jm8QhMSUfEuP6ixSCVJhA0/Lo8B4EETDa+Oj3k1SP9f4hth6ZqGfB
+ k6J+lsp4QVgkZgMbdeZMRGVvKBjkuwOH8CH51oa3E8xyQFNyRGAqyxHlGMDT
+ qKgGlR0hxaNsKvrYZYboEtKjep9DyGLalT0Ly6TFspHNQkACV6CSQOVAAJPg
+ uRzgkHwbwaG4nKjarj5gtU2XA1NSvWlFvP51l13ZaZWTvjpO7mKCbzoDo41P
+ gW12O7iB0e8Xhuot8OXAiOCGfEj5HO1IBFOhLiOF5JCU4GVbEpYM6Igow9uJ
+ AUwEqtRLVTBVNa7y8ntpfejeofNrxLbBrgxkXhkmIiENBOHNnBIHMIVfIvIl
+ xHMMbhG6SZ4RDHXagJR0NjpkW3AjHIG+diKAcZUQFS2Fie4BbI5OxjcjyiaM
+ DavTdHaXzAhWmiChQWUkvITKgW7YfJH8EoOnCJ4jmBHcJAVyhB4GnU6nRHYM
+ n0cQkmUrHo0rolHFrrIaFThGI9YFrU8aXfNmYSyxnMyspCUQFT2iQUNhVgbz
+ Ju2b5JeIPEb4KcRzhG4R1Q9jMAQTxQWNy6o37RL6RoHLQcvWUGGGFARihOGB
+ HOVUGeIGgSicb7yPTKaCiPpZWc07CwYRiWwCeU60ppRHQSVHDI4RPCl4GoPZ
+ 9TxGuEtEi+qBaBz88RymcFl05FMQhqfuCduPRj66vK4MjMZGZ3JgIgL3wIoe
+ nAdAo9NhPCV2mHmI15ukQ5oNobohZoQmcCh8G6Er7ZK8hWYhjAG+HaM8KSe8
+ QKMNPSLIrJE1u55nl9vbA8LFwIwIIuHEZARnVqSHCm0eAQjhhJNgPkV8eZKe
+ jlCMMWJGeJRDNQtCTOQZYtbEjUPy1AWr8GEMpKqnDTzb79TB9hyDqH6ihzS5
+ t4+eai8R7ITV0d+NOkPBoSS2HwPV4OVgKRmYOeH1OeL2hPIGmqArSjOCWxSU
+ TqmiHvIcofA70XkaNfizoqkBmZnCdo6hW4Rnz5GR6W3DCHYWt7hJzggpkwXc
+ LgoiMwlWmEh7XpSihiWLYD5L64C8RXB7kDkYXQazB9ZRmWmclyJEhFwfVFCL
+ IdQ8LcKHREQwJGRb3SN/OQcOiQUeEToyyaY0sokqIYdgOQglJwUKFxn5ARv9
+ W/sz//n5+TfPET9+hpeXOeNHEfFhjPxwHH6SdNQ8GCNCQ0LVKpLEiNB//OY3
+ 8z//4fuNU9vVyBFRMyMKkQIIJ6qoKXrKKpN//d3v9KvvvrMBr8Ub6HVv7gWp
+ Xjb3TLbNWyZ3u/5mUY2ZsBMyInyL0Ic580Xyc5WPh6Soz6UJqYv2xsUxybVw
+ /abKA0gncRpmjT9rEEoFoG1CqtcUkSx/JKeLKh/gi9X6nXOxEAdJDJES0wXt
+ zDF4icgnyU8RDokYQ5KkGCgKQqnPxk4V/YLEzY6LvPmCGoEzYbQTRHGaoOu7
+ ywCR+BGWW5FH3i4IbcNnwAuwNdg1odd0hI6I9U1E/GiMfRuDAEdE6ZL+cGJw
+ EeGqCjsbBjfvAsYPyhmg7OjrkZmwH88N9NAiAAoxzDUkmUUYGcATkBpkW7Ht
+ 9Zq5Z0o/v0V8+vY49jGGW0JKEkS46X0LEMK2LBnF8MWN27qkpKZr4BWJ6axE
+ Y+6Dbvsr7Hgonp7MqvK4QhZjXEMUA58zvfb2tnM+R7z83ZxP38x5nxF50QNF
+ oAgpAiJKD+2KaMF30vQIX9RZxVDHg0YHUY1f7NQ1Oi4a8XChBY0yra8M1yW/
+ GorPvVn1ir1tp3TOX8z59vPnZx9jZNhWhPSeVduOKCqgd06P3EqJptXj0r0I
+ NftUM9i49MLeLdZ5UI8qsQrblSEiILM40BiwFpbICL5kcs9k2Rs45z/95Cfn
+ /YI6kGzILG1HlVJFHKdr+ujiZYr3jYO+0gIKprO3F+oFwDtCoYrGbhSKCNIm
+ xoBMEhhzcnS55Ri8Al/OkzvsKeWM2Nv+vzki1kFRb+0tMovMq9zJJlTYIqIe
+ h+px7nbAjK7/ACI3GvHgL6ULrtlbJeFMR6fgYqNpMwpEap4AC/jTWpw2c849
+ 9s472DWX/jDnGEVc9g53vV3KtfkMAoWRMqUIwkTsJDqCo/lJGZ8tVvSoQ2xc
+ gt1VXrCb7QK4S0yt9K7XfbrfWcAxBjszz7VodCQgXiJepovautBOXRRSZtYW
+ CISt7g3GlR9fkrFKp/kOI0Y3pa+JVgZ2KWktiCB07RhamrqeN4C9d8HlGLzt
+ jWsSR1ZUuY3By5wT+6dTmVsQRFi52WnRxgMoLZVxCgWCiEe5dA13ZfQyqIzp
+ iYvigf2Ppm10yOzPaHRp5EMSr+fJkjgzGRK7XzoiUhFnwOuCNet9axW4Ec5d
+ fDJNjREUPRcUjeUhtDa6hlwmGqOKZq/KQLNUPcBS+IpsJpRMLD8vYhbBfW92
+ JsvwlovVy62sqekxh0r/8a3smIpg5Oae1s4kM1GmCtmLZuhyAEIRvJd2/nCS
+ dh1fkVdpSYYG2UZf5cLXc6BoC94b9ua+N9hs43hnzkVJTNr2iFgaY8+QuCvI
+ PLUz1ZEJ7Q1j1OSpudxbKtRrhsfitoZ2bxmK0dT/SSiCTEMmG8rIfl5+veXa
+ yVlGF1UoIgURxk3AInavWQbSa9gfJ8C5Vt73xntLuaVK12P62665+8NF8LsD
+ F1kzDFrAdC1fzPRqwMz8Kwphl2bOnWzcfMfvlOTKmFGEEim77I+/fUHzb999
+ 9z+f7/cj17rN3HPsHGOMOCLGjIjZCqaGUiha6CsGM6R//+1v41fff59j7wfp
+ ikaTneaeuzZ6NQse9G90dv7l17+O//r++1SJFa+9tcEnsJuN5tpYZNq1S5PW
+ hLe0X+en+/3Pr+f5s1H1L5UWlhsKa6KVaig21Eut0gMXtepJ2/tbW6t2Q64t
+ W5WDAWUScxreV4i7hL7Ovdng1eKeCC+bldtWKHOTdmqMeIr48u2cf5pf9v6y
+ 9s5dottDYpcTYVspReK6RuhRmYXj3ZAuZohsr5oVXntz2o+azxYnV1/cba7X
+ 32122id4d3NnO3Zm6swkvXcdO+Q81/Ix51Mm88vef0j7F7fMp7PRJmzt4jCK
+ TDJCP2i4hySsDLzZ3NrHXGetCHuZ5R50asog8Hme+Ksmft3b+8pEprJXNMtm
+ 7e07cN/buxdnAa9aa/7pPH86z71+nzu/M/TMRdOOkSlHxK5oE2QR2KbIAuYu
+ dv6ayZutDb7vXeKwid91R4gIv631yIAvdluv93UHS1enXDext0yfJe61MteZ
+ JvDxR+n3n9b6MN/Sn2zfU7IyNcaIs6n1xTSjNjrIibO2Y0cthQzw570h7eV8
+ RPWx04nwvYYjLnZZO/SvVNjHdjozsfRw5uqF+95eoGViOfenzJc/rvX057W+
+ mfe9n207S8jHzNRZxC1WGgUEiTdYshRKuy4qTXE+nqsOdq244p2eEK5T0L7K
+ otflifsmAB/39uN0k6nT9ra5O3GWSL5n5jbxlsmn3OfHvX562t/OV/tJdnjn
+ bY7QCYo0O0CktRGSJSklxLYU8sIPB/YiwaPg0ZdoH71QNiJdhi/VEiB76gJ8
+ XGs4M0Ny9u9Wo+DKTRY70ZvTpxlpk8nTMppve4clhYiV1hmwSSmvE1FvCerE
+ VBPVGwmN2kHweZeCm+A6kQqiz3h9zFtchsMugqYrA58zN3ao6t+JZRcinc66
+ Rzh1t1lO3dMTnOnUvNsfseNNGgq0UkTxH18bBD2O25K/WvU3ieaVJFLOXoJN
+ jLce965sw7M0QOyG3tUO3NNKenfqwgqAM822tby9TGyje9p3Oxb1u/ll79PS
+ DAWbvNaHnvLFQL/aJsgSOotc+cLWeyGDUiKETguVSiqJ3VfH5dqMZd9vrsF8
+ OrW+utSH7YW10ixb5QQsp05bp63lJG3Pzzs/OzRTjBviiNDw1kNBXYduW/FQ
+ xxaurx1cBoTlFdZ0TWTZWKWHrpPwVvVqCcwiiBRU1mrxAoJaXEWfnbzb4GUo
+ B5LTaNvMz86hzfNWjmSQdvxF2VwN6QE6a7vkulyWAa9pJig27EqMrmXqpYdT
+ 2KnrElkl06VyRbn6yyE7E9hOrUSb7DkAZx0COyNmvtm/DPjZLtqQpx5f8FA7
+ 4NGXdwVsVy9clLe5TE3u0l9B04aemjXBE6XS7jsXRhe1uzuV5YCK9NX1qq42
+ Sdo68zoCotNQWbDmgr8XjAWxM+8rFJPw7ONG1NXRklC26Ir6GsB1J/5iR20b
+ ElyCffU2430vcVVHS6yiHu5mjQf/qX9D6cxu1G3Ytk+KJHb0ddrMDb+8WEna
+ L5l4KXU0nR1ffc2g5aRWiqlHBXDvLVotrvbjmN3LgN7k1ddV7EvUI/d7nM5C
+ KVeD73rcC2Su86vOa0L3YwP/D6Y5yWnCbVZ7AAAAAElFTkSuQmCC
+ ====
