## impuzzle 0.6.1-1maemo0

=== debian/changelog ===
impuzzle (0.6.1-1maemo0) unstable; urgency=low

  * Fixes: Preventing user interaction with image pieces during game setup that would lead to segfault.
  * Taking garage bug tracker into use instead of email address

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 26 May 2010 21:46:00 +0200
