=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0)
 Standards-Version: 3.7.2
-XSBC-Bugtracker: mailto:timop.harkonen@gmail.com
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1167
 
 Package: impuzzle
 Architecture: any
@@ -12,6 +12,8 @@
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.
+ Limitations in current version:
+ For random images only images in /home/user/MyDocs/.images is used
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEALAAMQAxnfM89gAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
