## impuzzle 0.7.0-1maemo0

=== debian/changelog ===
impuzzle (0.7.0-1maemo0) unstable; urgency=low

  * Show save game query when quitting if game is incomplete
  * Changed new game dialog logic.
  * Added game statistics

 -- Timo Härkönen <timop.harkonen@gmail.com>  T, 26 Sep 2010 15:10:00 +0200
