## impuzzle 0.7.1-1maemo0

=== debian/changelog ===
impuzzle (0.7.1-1maemo0) unstable; urgency=low

  * Get available images from tracker

 -- Timo Härkönen <timop.harkonen@gmail.com>  Tue, 28 Sep 2010 19:20:00 +0200
